package com.za.ui.servicing.operation

import androidx.compose.runtime.Composable
import com.za.base.BaseActivity
import com.za.common.GlobalData
import com.za.ext.getEleState
import com.za.ui.servicing.ele_check.EleSignCheckScreen
import com.za.ui.servicing.ele_sign.EleSignScreen

class InOperationActivity : BaseActivity() {

    @Composable
    override fun ContentView() {
        //拖车流程
        if (2 == GlobalData.currentOrder?.flowType || GlobalData.currentOrder?.serviceTypeName?.contains("困境") == true) {
            if (GlobalData.currentOrder?.getEleState() == 1) {
                EleSignScreen()
            } else if (GlobalData.currentOrder?.getEleState() == 2) {
                InOperationScreen()
            } else {
                EleSignCheckScreen()
            }
        } else {
            InOperationScreen()
        }
    }

}


